
TextCritical.net - Feature #1262

Add option for searching no_diacritics by default

03/16/2016 07:04 PM - Luke Murphey

Status: Closed Start date: 03/16/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.1   

Description

History

#1 - 03/18/2016 09:54 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 03/18/2016 09:54 PM - Luke Murphey

- % Done changed from 0 to 30

#3 - 03/19/2016 03:01 AM - Luke Murphey

The word match counts are not being returned correctly.

This works:

work:new-testament section:"Matthew"  no_diacritics:υιου

But searching with the ignore_diacritics option doesn't.

#4 - 03/19/2016 03:12 AM - Luke Murphey

I'm getting 0 matched terms from whoosh when I do a search for no_diacritics.

#5 - 03/19/2016 03:25 AM - Luke Murphey

A search against the no_diacritics field specifically results in the following war search:

(work:<new-testament> AND section:matthew AND no_diacritics:<δεκατεσσαρες>)

A search with no_diacritics results in:

(work:<new-testament> AND section:matthew AND content:<δεκατεσσαρες>)

#6 - 03/19/2016 03:28 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
